> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetgeek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get meetings

> Retrieves paginated past meetings of a user



## OpenAPI

````yaml GET /v1/meetings
openapi: 3.0.0
info:
  description: This is a sample server celler server.
  title: MeetGeek API
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: http://www.swagger.io/support
    email: support@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.meetgeek.ai
  - url: https://api-eu.meetgeek.ai
  - url: https://api-us.meetgeek.ai
security:
  - Bearer: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /v1/meetings:
    get:
      tags:
        - transcript
      summary: Get paginated meetings of a user
      description: Retrieves paginated past meetings of a user
      parameters:
        - description: Number of records to fetch
          name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 500
        - description: Cursor to continue reading from
          name: cursor
          in: query
          schema:
            type: string
            minLength: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_models.MeetingsPage
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.BadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.UnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.AccessDeniedError
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.MeetingNotFoundError
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_meetgeekai_api_internal_errors.InternalServerError
      security:
        - Bearer: []
components:
  schemas:
    github_com_meetgeekai_api_internal_models.MeetingsPage:
      type: object
      properties:
        meetings:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_meetgeekai_api_internal_models.MeetingsPageShard
        pagination:
          $ref: '#/components/schemas/github_com_meetgeekai_api_internal_models.Page'
    github_com_meetgeekai_api_internal_errors.BadRequestError:
      type: object
      properties:
        message:
          type: string
          example: bad request
        reason:
          type: string
          example: missing api key
    github_com_meetgeekai_api_internal_errors.UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          example: unauthorized
    github_com_meetgeekai_api_internal_errors.AccessDeniedError:
      type: object
      properties:
        message:
          type: string
          example: you do not have access to view this meeting
    github_com_meetgeekai_api_internal_errors.MeetingNotFoundError:
      type: object
      properties:
        message:
          type: string
          example: meeting not found
    github_com_meetgeekai_api_internal_errors.QuotaLimitReachedError:
      type: object
      properties:
        message:
          type: string
          example: quota limit reached
        unit:
          type: string
          example: day
    github_com_meetgeekai_api_internal_errors.InternalServerError:
      type: object
      properties:
        message:
          type: string
          example: internal server error
    github_com_meetgeekai_api_internal_models.MeetingsPageShard:
      type: object
      properties:
        meeting_id:
          type: string
          example: 7e0f1953-b2ce-45b8-97b2-03c09da3a602
        timestamp_end_utc:
          type: string
          example: '2024-08-08T14:00:34Z'
        timestamp_start_utc:
          type: string
          example: '2024-08-08T13:00:38Z'
    github_com_meetgeekai_api_internal_models.Page:
      type: object
      properties:
        next_cursor:
          type: string
          example: gASVSgAAAAAAAABdlCiMGDIwMj==
        previous_cursor:
          type: string
          example: sDAACgCCCBo97zDAsCqcADPUzA==
  securitySchemes:
    Bearer:
      description: Type "Bearer" followed by a space and a token
      type: apiKey
      name: Authorization
      in: header

````